unit uCropImageDemo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, jpeg, CropImage, ExtCtrls, ExtDlgs, StdCtrls, Buttons;

type
  TfrmCropImageDemo = class(TForm)
    CropImage1: TCropImage;
    ScrollBox1: TScrollBox;
    Image2: TImage;
    OpenPictureDialog1: TOpenPictureDialog;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label1: TLabel;
    GroupBox1: TGroupBox;
    chkBorder: TCheckBox;
    edBorderWidth: TLabeledEdit;
    chkNoFlicker: TCheckBox;
    cmbToolColor: TColorBox;
    Label2: TLabel;
    edToolWidth: TLabeledEdit;
    Bevel1: TBevel;
    Bevel2: TBevel;
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure chkBorderClick(Sender: TObject);
    procedure chkNoFlickerClick(Sender: TObject);
    procedure edBorderWidthChange(Sender: TObject);
    procedure edToolWidthChange(Sender: TObject);
    procedure cmbToolColorChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCropImageDemo: TfrmCropImageDemo;

implementation

{$R *.dfm}

procedure TfrmCropImageDemo.Image1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
Caption:='X:'+InttoStr(x)+', Y:'+IntToStr(y);
end;

procedure TfrmCropImageDemo.Button1Click(Sender: TObject);
begin
if OpenPictureDialog1.Execute
   then CropImage1.Picture.LoadFromFile(OpenPictureDialog1.FileName);
end;

procedure TfrmCropImageDemo.Button3Click(Sender: TObject);
begin
ScrollBox1.VertScrollBar.Position:=0;
ScrollBox1.HorzScrollBar.Position:=0;
Image2.Top:=0;
Image2.Left:=0;
image2.Picture.Assign(CropImage1.GetRegion);
end;

procedure TfrmCropImageDemo.Button2Click(Sender: TObject);
begin
CropImage1.Picture.Assign(nil);
end;

procedure TfrmCropImageDemo.FormShow(Sender: TObject);
begin
with CropImage1 do
     begin
     chkBorder.Checked:=Border;
     edBorderWidth.Text:=IntToStr(BorderWidth);
     chkNoFlicker.Checked:=NoFlicker;
     cmbToolColor.Selected:=ToolColor;
     edToolWidth.Text:=IntToStr(ToolWidth);
     end;
end;

procedure TfrmCropImageDemo.chkBorderClick(Sender: TObject);
begin
CropImage1.Border:=chkBorder.Checked;
end;

procedure TfrmCropImageDemo.chkNoFlickerClick(Sender: TObject);
begin
CropImage1.NoFlicker:=chkNoFlicker.Checked;
end;

procedure TfrmCropImageDemo.edBorderWidthChange(Sender: TObject);
begin
if trim(edBorderWidth.Text)<>EmptyStr
   then CropImage1.BorderWidth:=StrToInt(edBorderWidth.Text)
end;

procedure TfrmCropImageDemo.edToolWidthChange(Sender: TObject);
begin
if trim(edToolWidth.Text)<>EmptyStr
   then CropImage1.ToolWidth:=StrToInt(edToolWidth.Text)
end;

procedure TfrmCropImageDemo.cmbToolColorChange(Sender: TObject);
begin
CropImage1.ToolColor:=cmbToolColor.Selected;
end;

end.
